Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Branch: subordinate-lo…
Fetching contributors…

Cannot retrieve contributors at this time

1671 lines (1543 sloc) 58.937 kB
<?xml version="1.0" encoding="UTF-8"?>
<!--
Sonatype Nexus (TM) Open Source Version
Copyright (c) 2007-2012 Sonatype, Inc.
All rights reserved. Includes the third-party code listed at http://links.sonatype.com/products/nexus/oss/attributions.
This program and the accompanying materials are made available under the terms of the Eclipse Public License Version 1.0,
which accompanies this distribution and is available at http://www.eclipse.org/legal/epl-v10.html.
Sonatype Nexus (TM) Professional Version is available from Sonatype, Inc. "Sonatype" and "Sonatype Nexus" are trademarks
of Sonatype, Inc. Apache Maven is a trademark of the Apache Software Foundation. M2eclipse is a trademark of the
Eclipse Foundation. All other trademarks are the property of their respective owners.
-->
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
<modelVersion>4.0.0</modelVersion>
<parent>
<groupId>org.sonatype.forge</groupId>
<artifactId>forge-parent</artifactId>
<version>31</version>
<relativePath/>
</parent>
<groupId>org.sonatype.nexus</groupId>
<artifactId>nexus</artifactId>
<packaging>pom</packaging>
<version>2.4-SNAPSHOT</version>
<inceptionYear>2007</inceptionYear>
<url>http://nexus.sonatype.org/</url>
<issueManagement>
<system>Jira</system>
<url>http://links.sonatype.com/products/nexus/oss/issues</url>
</issueManagement>
<ciManagement>
<system>Bamboo</system>
<url>https://bamboo.zion.sonatype.com/browse/NXO</url>
</ciManagement>
<scm>
<connection>scm:git:git://github.com/sonatype/nexus.git</connection>
<developerConnection>scm:git:git@github.com:sonatype/nexus.git</developerConnection>
<url>https://github.com/sonatype/nexus</url>
</scm>
<repositories>
<repository>
<id>rso-public-grid</id>
<url>https://repository.sonatype.org/content/groups/sonatype-public-grid/</url>
</repository>
</repositories>
<licenses>
<license>
<name>Eclipse Public License</name>
<url>http://www.eclipse.org/legal/epl-v10.html</url>
</license>
</licenses>
<developers>
<developer>
<id>cstamas</id>
<name>Tamás Cservenák</name>
<email>cstamas@sonatype.com</email>
<organization>Sonatype</organization>
<roles>
<role>Developer</role>
</roles>
<timezone>2</timezone>
</developer>
<developer>
<id>brianf</id>
<name>Brian Fox</name>
<email>brian@sonatype.com</email>
<organization>Sonatype</organization>
<roles>
<role>Developer</role>
</roles>
<timezone>-6</timezone>
</developer>
<developer>
<id>bdemers</id>
<name>Brian Demers</name>
<email>bdemers@sonatype.com</email>
<organization>Sonatype</organization>
<roles>
<role>Developer</role>
</roles>
<timezone>-6</timezone>
</developer>
<developer>
<id>eu</id>
<name>Eugene Kuleshov</name>
<email>eugene@sonatype.com</email>
<organization>Sonatype</organization>
<roles>
<role>Developer</role>
</roles>
<timezone>-6</timezone>
</developer>
<developer>
<id>jvanzyl</id>
<name>Jason van Zyl</name>
<email>jason@sonatype.com</email>
<organization>Sonatype</organization>
<roles>
<role>Developer</role>
</roles>
<timezone>-9</timezone>
</developer>
<developer>
<id>juven</id>
<name>Juven Xu</name>
<email>juven@sonatype.com</email>
<organization>Sonatype</organization>
<roles>
<role>Developer</role>
</roles>
<timezone>8</timezone>
</developer>
<developer>
<id>velo</id>
<name>Marvin Herman Froeder</name>
<email>velo@sonatype.com</email>
<organization>Sonatype</organization>
<roles>
<role>Developer</role>
</roles>
<timezone>-3</timezone>
</developer>
<developer>
<id>adreghiciu</id>
<name>Alin Dreghiciu</name>
<email>alin@sonatype.com</email>
<organization>Sonatype</organization>
<roles>
<role>Developer</role>
</roles>
<timezone>+3</timezone>
</developer>
</developers>
<contributors>
<contributor>
<name>John Casey</name>
<email>john@sonatype.com</email>
<organization>Sonatype</organization>
</contributor>
</contributors>
<properties>
<!-- Default debug friendly options -->
<maven.yuicompressor.nocompress>true</maven.yuicompressor.nocompress>
<maven.yuicompressor.nomunge>true</maven.yuicompressor.nomunge>
<maven.yuicompressor.disableOptimizations>true</maven.yuicompressor.disableOptimizations>
<!-- preserve linebreaks -->
<maven.yuicompressor.linebreakpos>0</maven.yuicompressor.linebreakpos>
<tattletale.failOnInfo>false</tattletale.failOnInfo>
<tattletale.failOnWarn>false</tattletale.failOnWarn>
<tattletale.failOnError>true</tattletale.failOnError>
<!-- logging configuration used in logback config files to control test logging -->
<test.log.level>INFO</test.log.level>
<it.test.log.level>INFO</it.test.log.level>
<it.nexus.log.level>INFO</it.nexus.log.level>
<!-- version properties -->
<nexus.version>${project.version}</nexus.version>
<sonatype.plugin.version>1.1.0</sonatype.plugin.version>
<slf4j.version>1.7.2</slf4j.version>
<logback.version>1.0.7</logback.version>
<aether.version>1.13.1</aether.version>
<jetty.version>8.1.8.v20121106</jetty.version>
<maven.version>3.0.4</maven.version>
<plexus-security.version>3.0.2-SNAPSHOT</plexus-security.version>
<shiro.version>1.2.1</shiro.version>
<jackson.version>1.9.10</jackson.version>
<goodies.version>1.6-SNAPSHOT</goodies.version>
<!-- See 'idea' profile. -->
<nexus-plugin.type>nexus-plugin</nexus-plugin.type>
<it.nexus.bundle.groupId>org.sonatype.nexus</it.nexus.bundle.groupId>
<it.nexus.bundle.artifactId>nexus-oss-webapp</it.nexus.bundle.artifactId>
<it.nexus.bundle.version>${project.version}</it.nexus.bundle.version>
</properties>
<prerequisites>
<maven>3.0.4</maven>
</prerequisites>
<dependencyManagement>
<dependencies>
<!--
FIXME: Kill scope=import... its a huge FUCKING PITA not worth the trouble.
FIXME: On each new build, which does not already have deployed/available dependencies, the build will fail to resolve this dependency.
FIXME: Builds afterwards will also be inconsistent and pick the deployed version (instead of local version); this resolution happens very early.
-->
<dependency>
<groupId>org.sonatype.nexus</groupId>
<artifactId>nexus-runtime-platform</artifactId>
<version>${project.version}</version>
<type>pom</type>
<scope>import</scope>
</dependency>
<dependency>
<groupId>org.sonatype.nexus</groupId>
<artifactId>nexus-plugin-bundle-model</artifactId>
<version>1.0-SNAPSHOT</version>
</dependency>
<dependency>
<groupId>org.sonatype.appcontext</groupId>
<artifactId>appcontext</artifactId>
<version>3.2</version>
</dependency>
<dependency>
<groupId>tanukisoft</groupId>
<artifactId>wrapper</artifactId>
<version>3.2.3</version>
</dependency>
<dependency>
<groupId>org.sonatype.sisu.goodies</groupId>
<artifactId>goodies-common</artifactId>
<version>${goodies.version}</version>
</dependency>
<dependency>
<groupId>org.sonatype.sisu.goodies</groupId>
<artifactId>goodies-marshal</artifactId>
<version>${goodies.version}</version>
</dependency>
<dependency>
<groupId>org.sonatype.sisu.goodies</groupId>
<artifactId>goodies-eventbus</artifactId>
<version>${goodies.version}</version>
</dependency>
<!-- Jetty -->
<dependency>
<groupId>org.eclipse.jetty.orbit</groupId>
<artifactId>javax.servlet</artifactId>
<version>3.0.0.v201112011016</version>
</dependency>
<dependency>
<groupId>org.eclipse.jetty</groupId>
<artifactId>jetty-webapp</artifactId>
<version>${jetty.version}</version>
</dependency>
<dependency>
<groupId>org.eclipse.jetty</groupId>
<artifactId>jetty-continuation</artifactId>
<version>${jetty.version}</version>
</dependency>
<dependency>
<groupId>org.eclipse.jetty</groupId>
<artifactId>jetty-servlet</artifactId>
<version>${jetty.version}</version>
</dependency>
<dependency>
<groupId>org.eclipse.jetty</groupId>
<artifactId>jetty-security</artifactId>
<version>${jetty.version}</version>
</dependency>
<dependency>
<groupId>org.eclipse.jetty</groupId>
<artifactId>jetty-server</artifactId>
<version>${jetty.version}</version>
</dependency>
<dependency>
<groupId>org.eclipse.jetty</groupId>
<artifactId>jetty-deploy</artifactId>
<version>${jetty.version}</version>
</dependency>
<dependency>
<groupId>org.eclipse.jetty</groupId>
<artifactId>jetty-client</artifactId>
<version>${jetty.version}</version>
</dependency>
<dependency>
<groupId>org.eclipse.jetty</groupId>
<artifactId>jetty-util</artifactId>
<version>${jetty.version}</version>
</dependency>
<dependency>
<groupId>org.eclipse.jetty</groupId>
<artifactId>jetty-servlets</artifactId>
<version>${jetty.version}</version>
</dependency>
<dependency>
<groupId>org.eclipse.jetty</groupId>
<artifactId>jetty-http</artifactId>
<version>${jetty.version}</version>
</dependency>
<dependency>
<groupId>org.eclipse.jetty</groupId>
<artifactId>jetty-io</artifactId>
<version>${jetty.version}</version>
</dependency>
<dependency>
<groupId>org.eclipse.jetty</groupId>
<artifactId>jetty-xml</artifactId>
<version>${jetty.version}</version>
</dependency>
<dependency>
<groupId>org.eclipse.jetty</groupId>
<artifactId>jetty-jmx</artifactId>
<version>${jetty.version}</version>
</dependency>
<dependency>
<groupId>org.eclipse.jetty</groupId>
<artifactId>jetty-rewrite</artifactId>
<version>${jetty.version}</version>
</dependency>
<dependency>
<groupId>org.sonatype.plexus</groupId>
<artifactId>plexus-cipher</artifactId>
<version>1.7</version>
</dependency>
<dependency>
<groupId>org.sonatype.sisu</groupId>
<artifactId>sisu-jetty8</artifactId>
<version>1.4.2</version>
</dependency>
<dependency>
<groupId>org.sonatype.sisu</groupId>
<artifactId>sisu-task-scheduler</artifactId>
<version>1.7</version>
</dependency>
<!--
FIXME: This is used by a few tests in nexus-core (org.codehaus.plexus.digest.{Md5|Sha1}Digester).
-->
<dependency>
<groupId>org.codehaus.plexus</groupId>
<artifactId>plexus-digest</artifactId>
<version>1.1</version>
<exclusions>
<exclusion>
<groupId>org.codehaus.plexus</groupId>
<artifactId>plexus-container-default</artifactId>
</exclusion>
<exclusion>
<groupId>org.codehaus.plexus</groupId>
<artifactId>plexus-component-api</artifactId>
</exclusion>
</exclusions>
</dependency>
<dependency>
<groupId>org.codehaus.plexus</groupId>
<artifactId>plexus-interpolation</artifactId>
<version>1.15</version>
</dependency>
<dependency>
<groupId>org.sonatype.configuration</groupId>
<artifactId>base-configuration</artifactId>
<version>1.1.1</version>
</dependency>
<dependency>
<groupId>org.sonatype.sisu</groupId>
<artifactId>sisu-charger</artifactId>
<version>1.1</version>
</dependency>
<dependency>
<groupId>org.sonatype.sisu</groupId>
<artifactId>sisu-mailer</artifactId>
<version>1.7-SNAPSHOT</version>
<exclusions>
<exclusion>
<groupId>javax.activation</groupId>
<artifactId>activation</artifactId>
</exclusion>
</exclusions>
</dependency>
<dependency>
<groupId>org.sonatype.sisu</groupId>
<artifactId>sisu-velocity</artifactId>
<version>1.2</version>
</dependency>
<dependency>
<groupId>org.apache.velocity</groupId>
<artifactId>velocity</artifactId>
<version>1.7</version>
</dependency>
<dependency>
<groupId>org.sonatype.sisu</groupId>
<artifactId>sisu-locks</artifactId>
<version>0.0.1</version>
</dependency>
<dependency>
<groupId>joda-time</groupId>
<artifactId>joda-time</artifactId>
<version>2.1</version>
</dependency>
<!-- shiro -->
<dependency>
<groupId>org.sonatype.security</groupId>
<artifactId>security-system</artifactId>
<version>${plexus-security.version}</version>
<exclusions>
<exclusion>
<groupId>org.sonatype.spice</groupId>
<artifactId>plexus-ehcache</artifactId>
</exclusion>
</exclusions>
</dependency>
<dependency>
<groupId>org.sonatype.security.realms</groupId>
<artifactId>security-xml-realm</artifactId>
<version>${plexus-security.version}</version>
</dependency>
<dependency>
<groupId>org.sonatype.security.realms</groupId>
<artifactId>security-xml-realm</artifactId>
<classifier>tests</classifier>
<version>${plexus-security.version}</version>
</dependency>
<dependency>
<groupId>org.sonatype.security</groupId>
<artifactId>security-web</artifactId>
<version>${plexus-security.version}</version>
</dependency>
<dependency>
<groupId>org.apache.shiro</groupId>
<artifactId>shiro-core</artifactId>
<version>${shiro.version}</version>
<exclusions>
<exclusion>
<groupId>commons-logging</groupId>
<artifactId>commons-logging</artifactId>
</exclusion>
<exclusion>
<groupId>commons-beanutils</groupId>
<artifactId>commons-beanutils</artifactId>
</exclusion>
</exclusions>
</dependency>
<dependency>
<groupId>org.apache.shiro</groupId>
<artifactId>shiro-guice</artifactId>
<version>${shiro.version}</version>
<exclusions>
<exclusion>
<groupId>com.google.guava</groupId>
<artifactId>guava</artifactId>
</exclusion>
<exclusion>
<groupId>com.google.inject</groupId>
<artifactId>guice</artifactId>
</exclusion>
<exclusion>
<groupId>com.google.inject.extensions</groupId>
<artifactId>guice-multibindings</artifactId>
</exclusion>
</exclusions>
</dependency>
<dependency>
<groupId>org.sonatype.security</groupId>
<artifactId>security-configuration</artifactId>
<version>${plexus-security.version}</version>
</dependency>
<dependency>
<groupId>org.sonatype.security.realms</groupId>
<artifactId>security-url-realm</artifactId>
<version>${plexus-security.version}</version>
</dependency>
<dependency>
<groupId>org.apache.shiro</groupId>
<artifactId>shiro-web</artifactId>
<version>${shiro.version}</version>
<exclusions>
<exclusion>
<groupId>commons-logging</groupId>
<artifactId>commons-logging</artifactId>
</exclusion>
</exclusions>
</dependency>
<!--
Use our custom build of commons-beanutils 1.8.3 which excludes the commons-collections classes.
https://issues.sonatype.org/browse/NEXUS-5336
-->
<dependency>
<groupId>commons-beanutils</groupId>
<artifactId>commons-beanutils-core</artifactId>
<version>1.8.3-SONATYPE</version>
<exclusions>
<exclusion>
<groupId>commons-logging</groupId>
<artifactId>commons-logging</artifactId>
</exclusion>
</exclusions>
</dependency>
<dependency>
<groupId>org.jsoup</groupId>
<artifactId>jsoup</artifactId>
<version>1.7.1</version>
</dependency>
<!-- SLF4J Logging -->
<dependency>
<groupId>org.slf4j</groupId>
<artifactId>slf4j-api</artifactId>
<version>${slf4j.version}</version>
</dependency>
<dependency>
<groupId>org.slf4j</groupId>
<artifactId>jcl-over-slf4j</artifactId>
<version>${slf4j.version}</version>
</dependency>
<dependency>
<groupId>org.slf4j</groupId>
<artifactId>log4j-over-slf4j</artifactId>
<version>${slf4j.version}</version>
</dependency>
<dependency>
<groupId>org.slf4j</groupId>
<artifactId>jul-to-slf4j</artifactId>
<version>${slf4j.version}</version>
</dependency>
<dependency>
<groupId>ch.qos.logback</groupId>
<artifactId>logback-core</artifactId>
<version>${logback.version}</version>
</dependency>
<dependency>
<groupId>ch.qos.logback</groupId>
<artifactId>logback-classic</artifactId>
<version>${logback.version}</version>
</dependency>
<dependency>
<groupId>org.codehaus.plexus</groupId>
<artifactId>plexus-slf4j-logging</artifactId>
<version>1.1</version>
<exclusions>
<exclusion>
<groupId>org.codehaus.plexus</groupId>
<artifactId>plexus-container-default</artifactId>
</exclusion>
</exclusions>
</dependency>
<!--
FIXME: Sort out what maven/aether stuff is actually needed by core and what is needed by plugins.
-->
<!-- Maven -->
<dependency>
<groupId>org.apache.maven</groupId>
<artifactId>maven-aether-provider</artifactId>
<version>${maven.version}</version>
</dependency>
<dependency>
<groupId>org.apache.maven</groupId>
<artifactId>maven-model-builder</artifactId>
<version>${maven.version}</version>
</dependency>
<dependency>
<groupId>org.apache.maven</groupId>
<artifactId>maven-model</artifactId>
<version>${maven.version}</version>
</dependency>
<dependency>
<groupId>org.apache.maven</groupId>
<artifactId>maven-repository-metadata</artifactId>
<version>${maven.version}</version>
</dependency>
<dependency>
<groupId>org.apache.maven</groupId>
<artifactId>maven-artifact</artifactId>
<version>${maven.version}</version>
</dependency>
<dependency>
<groupId>org.apache.maven</groupId>
<artifactId>maven-settings</artifactId>
<version>${maven.version}</version>
</dependency>
<dependency>
<groupId>org.apache.maven</groupId>
<artifactId>maven-settings-builder</artifactId>
<version>${maven.version}</version>
</dependency>
<dependency>
<groupId>org.apache.maven</groupId>
<artifactId>maven-core</artifactId>
<version>${maven.version}</version>
</dependency>
<dependency>
<groupId>org.apache.maven</groupId>
<artifactId>maven-plugin-api</artifactId>
<version>${maven.version}</version>
</dependency>
<dependency>
<groupId>org.apache.maven</groupId>
<artifactId>maven-compat</artifactId>
<version>${maven.version}</version>
</dependency>
<dependency>
<groupId>org.sonatype.aether</groupId>
<artifactId>aether-api</artifactId>
<version>${aether.version}</version>
</dependency>
<dependency>
<groupId>org.sonatype.aether</groupId>
<artifactId>aether-util</artifactId>
<version>${aether.version}</version>
</dependency>
<dependency>
<groupId>org.sonatype.aether</groupId>
<artifactId>aether-spi</artifactId>
<version>${aether.version}</version>
</dependency>
<dependency>
<groupId>org.sonatype.aether</groupId>
<artifactId>aether-impl</artifactId>
<version>${aether.version}</version>
</dependency>
<dependency>
<groupId>org.sonatype.aether</groupId>
<artifactId>aether-connector-wagon</artifactId>
<version>${aether.version}</version>
</dependency>
<!-- Jackson -->
<dependency>
<groupId>org.codehaus.jackson</groupId>
<artifactId>jackson-core-asl</artifactId>
<version>${jackson.version}</version>
</dependency>
<dependency>
<groupId>org.codehaus.jackson</groupId>
<artifactId>jackson-mapper-asl</artifactId>
<version>${jackson.version}</version>
</dependency>
<dependency>
<groupId>com.thoughtworks.xstream</groupId>
<artifactId>xstream</artifactId>
<version>1.4.3</version>
</dependency>
<dependency>
<groupId>eu.medsea.mimeutil</groupId>
<artifactId>mime-util</artifactId>
<version>2.1.2</version>
<exclusions>
<exclusion>
<groupId>log4j</groupId>
<artifactId>log4j</artifactId>
</exclusion>
<exclusion>
<groupId>org.slf4j</groupId>
<artifactId>slf4j-log4j12</artifactId>
</exclusion>
</exclusions>
</dependency>
<dependency>
<groupId>org.sonatype.sisu</groupId>
<artifactId>sisu-ehcache</artifactId>
<version>1.1</version>
</dependency>
<dependency>
<groupId>net.sf.ehcache</groupId>
<artifactId>ehcache-core</artifactId>
<version>2.5.1</version>
</dependency>
<dependency>
<groupId>org.apache.httpcomponents</groupId>
<artifactId>httpclient</artifactId>
<version>4.2.2</version>
<exclusions>
<exclusion>
<groupId>commons-logging</groupId>
<artifactId>commons-logging</artifactId>
</exclusion>
</exclusions>
</dependency>
<dependency>
<groupId>org.apache.httpcomponents</groupId>
<artifactId>httpmime</artifactId>
<version>4.2.2</version>
</dependency>
<dependency>
<groupId>org.apache.httpcomponents</groupId>
<artifactId>httpcore</artifactId>
<version>4.2.2</version>
</dependency>
<!--
FIXME: Get rid of this dependency.
-->
<dependency>
<groupId>commons-httpclient</groupId>
<artifactId>commons-httpclient</artifactId>
<version>3.1.SONATYPE</version>
<exclusions>
<exclusion>
<groupId>commons-logging</groupId>
<artifactId>commons-logging</artifactId>
</exclusion>
</exclusions>
</dependency>
<dependency>
<groupId>commons-io</groupId>
<artifactId>commons-io</artifactId>
<version>2.4</version>
</dependency>
<dependency>
<groupId>commons-codec</groupId>
<artifactId>commons-codec</artifactId>
<version>1.7</version>
</dependency>
<dependency>
<groupId>commons-lang</groupId>
<artifactId>commons-lang</artifactId>
<version>2.6</version>
</dependency>
<dependency>
<groupId>org.sonatype.plexus</groupId>
<artifactId>plexus-jetty-testsuite</artifactId>
<version>2.1</version>
<exclusions>
<exclusion>
<groupId>org.codehaus.plexus</groupId>
<artifactId>plexus-container-default</artifactId>
</exclusion>
</exclusions>
</dependency>
<dependency>
<groupId>org.sonatype.http-testing-harness</groupId>
<artifactId>server-provider</artifactId>
<version>0.6</version>
</dependency>
<dependency>
<groupId>org.sonatype.http-testing-harness</groupId>
<artifactId>junit-runner</artifactId>
<version>0.6</version>
</dependency>
<dependency>
<groupId>httpunit</groupId>
<artifactId>httpunit</artifactId>
<version>1.6.2</version>
</dependency>
<dependency>
<groupId>org.sonatype.sisu.litmus</groupId>
<artifactId>litmus-testsupport</artifactId>
<version>1.6-SNAPSHOT</version>
</dependency>
<dependency>
<groupId>org.sonatype.sisu.pr</groupId>
<artifactId>sisu-problem-reporter</artifactId>
<version>1.5.3</version>
<exclusions>
<exclusion>
<groupId>javax.inject</groupId>
<artifactId>javax.inject</artifactId>
</exclusion>
<exclusion>
<groupId>org.sonatype.sisu</groupId>
<artifactId>sisu-xmlrpc-client</artifactId>
</exclusion>
<exclusion>
<groupId>org.codehaus.swizzle</groupId>
<artifactId>swizzle-jira</artifactId>
</exclusion>
</exclusions>
</dependency>
<dependency>
<groupId>org.sonatype.sisu.pr</groupId>
<artifactId>sisu-pr-testutil</artifactId>
<version>1.5.3</version>
</dependency>
<dependency>
<groupId>commons-collections</groupId>
<artifactId>commons-collections</artifactId>
<version>3.2.1</version>
</dependency>
<dependency>
<groupId>org.sonatype.nexus</groupId>
<artifactId>nexus-repository-metadata-api</artifactId>
<version>1.2</version>
</dependency>
<dependency>
<groupId>org.javasimon</groupId>
<artifactId>javasimon-core</artifactId>
<version>3.3.0</version>
</dependency>
<!-- INTERNAL -->
<dependency>
<groupId>org.sonatype.nexus</groupId>
<artifactId>nexus-bootstrap</artifactId>
<version>2.4-SNAPSHOT</version>
</dependency>
<dependency>
<groupId>org.sonatype.nexus.client</groupId>
<artifactId>nexus-client-core</artifactId>
<version>2.4-SNAPSHOT</version>
</dependency>
<dependency>
<groupId>org.sonatype.nexus</groupId>
<artifactId>nexus-compat</artifactId>
<version>2.4-SNAPSHOT</version>
</dependency>
<dependency>
<groupId>org.sonatype.nexus</groupId>
<artifactId>nexus-configuration-model</artifactId>
<version>2.4-SNAPSHOT</version>
</dependency>
<dependency>
<groupId>org.sonatype.nexus</groupId>
<artifactId>nexus-core</artifactId>
<version>2.4-SNAPSHOT</version>
</dependency>
<dependency>
<groupId>org.sonatype.nexus</groupId>
<artifactId>nexus-core</artifactId>
<version>2.4-SNAPSHOT</version>
<classifier>tests</classifier>
</dependency>
<dependency>
<groupId>org.sonatype.nexus</groupId>
<artifactId>nexus-launcher</artifactId>
<version>2.4-SNAPSHOT</version>
</dependency>
<dependency>
<groupId>org.sonatype.nexus</groupId>
<artifactId>nexus-logging-extras</artifactId>
<version>2.4-SNAPSHOT</version>
</dependency>
<dependency>
<groupId>org.sonatype.nexus</groupId>
<artifactId>nexus-logging-extras-appender</artifactId>
<version>2.4-SNAPSHOT</version>
</dependency>
<dependency>
<groupId>org.sonatype.nexus</groupId>
<artifactId>nexus-oss-edition</artifactId>
<version>2.4-SNAPSHOT</version>
</dependency>
<dependency>
<groupId>org.sonatype.nexus</groupId>
<artifactId>nexus-web-utils</artifactId>
<version>2.4-SNAPSHOT</version>
</dependency>
<dependency>
<groupId>org.sonatype.nexus</groupId>
<artifactId>nexus-webapp</artifactId>
<version>2.4-SNAPSHOT</version>
</dependency>
<dependency>
<groupId>org.sonatype.nexus</groupId>
<artifactId>nexus-webapp</artifactId>
<type>war</type>
<version>2.4-SNAPSHOT</version>
</dependency>
<dependency>
<groupId>org.sonatype.nexus</groupId>
<artifactId>nexus-test-common</artifactId>
<version>2.4-SNAPSHOT</version>
</dependency>
<dependency>
<groupId>org.sonatype.nexus</groupId>
<artifactId>nexus-oss-webapp</artifactId>
<version>2.4-SNAPSHOT</version>
<classifier>bundle</classifier>
<type>zip</type>
</dependency>
<dependency>
<groupId>org.sonatype.nexus</groupId>
<artifactId>nexus-plugin-api</artifactId>
<version>2.4-SNAPSHOT</version>
</dependency>
<dependency>
<groupId>org.sonatype.nexus</groupId>
<artifactId>nexus-plugin-test-api</artifactId>
<version>2.4-SNAPSHOT</version>
</dependency>
<dependency>
<groupId>org.sonatype.nexus</groupId>
<artifactId>nexus-test-harness-launcher</artifactId>
<version>2.4-SNAPSHOT</version>
</dependency>
<dependency>
<groupId>org.sonatype.nexus</groupId>
<artifactId>nexus-testsuite-client</artifactId>
<version>2.4-SNAPSHOT</version>
</dependency>
<dependency>
<groupId>org.sonatype.nexus</groupId>
<artifactId>nexus-test-utils</artifactId>
<version>2.4-SNAPSHOT</version>
</dependency>
</dependencies>
</dependencyManagement>
<modules>
<module>nexus-runtime-platform</module>
<module>nexus-bootstrap</module>
<module>nexus-plugin-api</module>
<module>nexus-plugin-test-api</module>
<module>nexus-core</module>
<module>nexus-web-utils</module>
<module>nexus-logging-extras</module>
<module>nexus-logging-extras-appender</module>
<module>nexus-compat</module>
<module>nexus-oss-edition</module>
<module>nexus-configuration-model</module>
<module>plugin-parent</module>
<module>plugins</module>
<module>nexus-webapp</module>
<module>nexus-launcher</module>
<module>nexus-client-core</module>
<module>nexus-oss-webapp</module>
<module>nexus-stories</module>
<module>nexus-test</module>
<module>nexus-client-core-testsuite</module>
</modules>
<build>
<pluginManagement>
<plugins>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-compiler-plugin</artifactId>
<configuration>
<source>1.6</source>
<target>1.6</target>
</configuration>
</plugin>
<plugin>
<groupId>org.jboss.tattletale</groupId>
<artifactId>tattletale-maven</artifactId>
<version>1.1.2.Final</version>
<configuration>
<failOnInfo>${tattletale.failOnInfo}</failOnInfo>
<failOnWarn>${tattletale.failOnWarn}</failOnWarn>
<failOnError>${tattletale.failOnError}</failOnError>
</configuration>
</plugin>
<plugin>
<groupId>org.codehaus.plexus</groupId>
<artifactId>plexus-component-metadata</artifactId>
<version>1.5.5</version>
<dependencies>
<dependency>
<groupId>com.thoughtworks.qdox</groupId>
<artifactId>qdox</artifactId>
<version>1.12</version>
</dependency>
</dependencies>
<executions>
<execution>
<goals>
<goal>generate-metadata</goal>
<goal>generate-test-metadata</goal>
</goals>
</execution>
</executions>
</plugin>
<!--
FIXME: This is still needed here, as there are some nexus-plugins defined outside of the plugins group
FIXME: (nexus-it-helper-plugin for one, maybe needed for nexus-test-harness-its too).
-->
<plugin>
<groupId>org.sonatype.nexus</groupId>
<artifactId>nexus-plugin-bundle-maven-plugin</artifactId>
<version>1.0-SNAPSHOT</version>
<extensions>true</extensions>
</plugin>
<plugin>
<groupId>org.sonatype.plugins</groupId>
<artifactId>modello-plugin-upgrade</artifactId>
<version>1.0</version>
</plugin>
<plugin>
<!-- TODO this is only used by nexus-webapp, move this there -->
<groupId>org.sonatype.plugins</groupId>
<artifactId>yuicompressor-maven-plugin</artifactId>
<version>1.0.0-SNAPSHOT</version>
<configuration>
<!--
yuicompressor warns when code is not in a shape that's optimized for minifying.
ATM this only pollutes the log (~9400 warnings)
-->
<jswarn>false</jswarn>
<nominify>${maven.yuicompressor.nocompress}</nominify>
<nomunge>${maven.yuicompressor.nomunge}</nomunge>
<disableOptimizations>${maven.yuicompressor.disableOptimizations}</disableOptimizations>
<linebreakpos>${maven.yuicompressor.linebreakpos}</linebreakpos>
</configuration>
<executions>
<execution>
<id>js</id>
<goals>
<goal>aggregate</goal>
</goals>
<configuration>
<output>${project.build.outputDirectory}/static/js/${project.artifactId}-all.js</output>
</configuration>
</execution>
<execution>
<id>css</id>
<goals>
<goal>aggregate-css</goal>
</goals>
<configuration>
<output>${project.build.outputDirectory}/static/css/${project.artifactId}-all.css</output>
<required>false</required>
</configuration>
</execution>
</executions>
</plugin>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-assembly-plugin</artifactId>
<!--
NOTE: 2.2-beta-3 is the latest version which does not have issues setting file/directory mode permissions in archives
NOTE: (2.3 which is the latest available, is better, but still has problems with directorySet outputDirectory permissions)
-->
<version>2.2-beta-3</version>
</plugin>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-surefire-plugin</artifactId>
<configuration>
<!--
FIXME: Some tests do not root properly, should be update to use TestSupport util.resolve* helpers; leave default for now
https://issues.sonatype.org/browse/NEXUS-5345
-->
<!--<workingDirectory>${project.build.directory}</workingDirectory>-->
<systemPropertyVariables combine.children="append">
<!-- start junit benchmarks config -->
<jub.consumers>H2,CONSOLE</jub.consumers>
<jub.db.file>.benchmarks</jub.db.file>
<jub.customkey>${os.name}</jub.customkey>
<jub.charts.dir>${project.build.directory}/junit-benchmarks</jub.charts.dir>
<!-- end junit benchmarks config -->
<!-- logging configuration properties, see logback*.xml files -->
<test.log.level>${test.log.level}</test.log.level>
<it.test.log.level>${it.test.log.level}</it.test.log.level>
<it.nexus.log.level>${it.nexus.log.level}</it.nexus.log.level>
</systemPropertyVariables>
</configuration>
</plugin>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-failsafe-plugin</artifactId>
<configuration>
<forkMode>once</forkMode>
<!--
FIXME: Some tests do not root properly, should be update to use TestSupport util.resolve* helpers; leave default for now
https://issues.sonatype.org/browse/NEXUS-5345
-->
<!--<workingDirectory>${project.build.directory}</workingDirectory>-->
<excludes combine.children="append">
<exclude>**/Abstract*</exclude>
</excludes>
<systemPropertyVariables combine.children="append">
<!-- logging configuration properties, see logback*.xml files -->
<test.log.level>${test.log.level}</test.log.level>
<it.test.log.level>${it.test.log.level}</it.test.log.level>
<it.nexus.log.level>${it.nexus.log.level}</it.nexus.log.level>
</systemPropertyVariables>
</configuration>
</plugin>
<plugin>
<groupId>org.sonatype.plugins</groupId>
<artifactId>provided-dependencies-maven-plugin</artifactId>
<version>1.6-SNAPSHOT</version>
</plugin>
<plugin>
<groupId>org.codehaus.mojo</groupId>
<artifactId>animal-sniffer-maven-plugin</artifactId>
<configuration>
<signature>
<groupId>org.codehaus.mojo.signature</groupId>
<artifactId>java16</artifactId>
<version>1.0</version>
</signature>
</configuration>
</plugin>
<plugin>
<groupId>com.mycila.maven-license-plugin</groupId>
<artifactId>maven-license-plugin</artifactId>
<configuration>
<!-- caution do not append children excludes since we have 'target' package -->
<excludes>
<exclude>**/.*/**</exclude>
<!-- we have target pattern in this format because of target package in nexus-core modules -->
<exclude>**/nexus*/target/**</exclude>
<exclude>**/ldap-common/target/**</exclude>
<exclude>**/h2/target/**</exclude>
<exclude>**/ext-2.3/**</exclude>
<exclude>**/ext-3.4.0/**</exclude>
<exclude>**/js/filetree/**</exclude>
<exclude>**/editarea_0_8_2/**</exclude>
<exclude>**/org/sonatype/security/ldap/dao/password/hash/MD5Crypt.java</exclude>
<!-- FIXME is this really a good idea excluding all test resources? -->
<exclude>**/src/test/resources/**</exclude>
<exclude>**/src/test/filtered-resources/**</exclude>
<exclude>**/nexus-test-harness-its/resources/**</exclude>
<exclude>**/gwt/ext/ui/**/*.js</exclude>
<exclude>**/gwt/ext/ui/**/*.css</exclude>
<!-- already has a lgpl license -->
<exclude>**/Ext.ux.form.LovCombo.css</exclude>
<!-- temp file created by maven-shade-plugin in basedir, deleted on maven jvm exit but possibly still around during license check -->
<exclude>**/dependency-reduced-pom.xml</exclude>
<!-- netbeans adds these -->
<exclude>**/nbactions*.xml</exclude>
<exclude>**/nb-configuration.xml</exclude>
<!-- IntelliJ IDEA files-->
<exclude>**/atlassian-ide-plugin.xml</exclude>
<exclude>nexus-webapp/src/main/webapp/js/ext/ux/**</exclude>
<exclude>nexus-webapp/src/main/webapp/style/ext/ux/**</exclude>
</excludes>
</configuration>
</plugin>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-release-plugin</artifactId>
<configuration>
<releaseProfiles>release,tattletale,optimize-js</releaseProfiles>
<tagNameFormat>nexus-@{version}</tagNameFormat>
</configuration>
</plugin>
<!-- INTERNAL -->
<plugin>
<groupId>org.sonatype.nexus.plugins</groupId>
<artifactId>nexus-test-environment-maven-plugin</artifactId>
<version>2.4-SNAPSHOT</version>
</plugin>
</plugins>
</pluginManagement>
<plugins>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-enforcer-plugin</artifactId>
<executions>
<execution>
<id>enforce-java</id>
<goals>
<goal>enforce</goal>
</goals>
<configuration>
<rules>
<requireMavenVersion>
<version>[3.0,)</version>
</requireMavenVersion>
<requireJavaVersion>
<version>[1.6,)</version>
</requireJavaVersion>
</rules>
</configuration>
</execution>
<execution>
<id>enforce-dependencies</id>
<goals>
<goal>enforce</goal>
</goals>
<configuration>
<rules>
<bannedDependencies>
<excludes>
<exclude>velocity:velocity</exclude>
<exclude>velocity:velocity-dep</exclude>
</excludes>
<message>Velocity 1.4 is banned, org.apache.velocity:velocity should be used instead.
You probably added a dependency that is missing the exclusions.
</message>
</bannedDependencies>
<bannedDependencies>
<excludes>
<exclude>commons-logging:*</exclude>
</excludes>
<message>commons-logging conflicts with slf4j. You probably added a dependency that is missing the exclusions.
</message>
</bannedDependencies>
<bannedDependencies>
<excludes>
<exclude>commons-vfs:commons-vfs</exclude>
</excludes>
<message>commons-vfs 1.0 has a potential security vulnerability (osvdb-58760). Use org.apache.commons:commons-vfs2:2.0 or greater
</message>
</bannedDependencies>
<bannedDependencies>
<excludes>
<exclude>xmlrpc:*</exclude>
</excludes>
<message>Apache commons xmlrpc with versions less than 3.1.3 expose a potential security vulnerability (osvdb-68314). Use
org.apache.commons:xmlrpc-* 3.1.3 or greater
</message>
</bannedDependencies>
<bannedDependencies>
<excludes>
<exclude>*:plexus-container-default</exclude>
</excludes>
<message>Plexus IoC container is phased out, use Sisu Inject Plexus instead!</message>
</bannedDependencies>
<bannedDependencies>
<excludes>
<exclude>*:plexus-component-api</exclude>
</excludes>
<message>plexus-component-api conflicts with newer plexus-container-default.
You probably a plexus component made with older plexus container.
</message>
</bannedDependencies>
<bannedDependencies>
<excludes>
<exclude>*:jsecurity</exclude>
</excludes>
<message>Nexus has being updated to use apache shiro instead, please remove jsecurity dependency</message>
</bannedDependencies>
<bannedDependencies>
<excludes>
<exclude>commons-beanutils:commons-beanutils</exclude>
</excludes>
<message>commons-beanutils includes commons-collections. use commons-beanutils-core instead</message>
</bannedDependencies>
<bannedDependencies>
<excludes>
<exclude>*:activation</exclude>
<exclude>*:stax-api</exclude>
<exclude>*:jaxb-api</exclude>
<exclude>*:xml-apis</exclude>
</excludes>
<message>xml apis got banned since they are already included on java 6</message>
</bannedDependencies>
<bannedDependencies>
<excludes>
<exclude>org.sonatype.aether:*:1.8</exclude>
</excludes>
<includes>
<include>org.sonatype.aether:*:1.8.1</include>
</includes>
<message>Must use aether 1.8.1 or newer</message>
</bannedDependencies>
<bannedDependencies>
<searchTransitive>true</searchTransitive>
<excludes>
<exclude>junit:junit</exclude>
</excludes>
<message>junit:junit includes old versions of hamcrest; use junit:junit-dep instead</message>
</bannedDependencies>
<bannedDependencies>
<searchTransitive>true</searchTransitive>
<excludes>
<exclude>junit:junit-dep:(,4.9]</exclude>
</excludes>
<message>junit:junit-dep 4.9 wrongly includes hamcrest api in jar, 4.10 or greater required due to TestRule changes over earlier
versions
</message>
</bannedDependencies>
<bannedDependencies>
<searchTransitive>true</searchTransitive>
<excludes>
<exclude>org.mockito:mockito-all</exclude>
</excludes>
<message>mockito-all includes third party classes within it - use mockito-core instead</message>
</bannedDependencies>
<bannedDependencies>
<searchTransitive>true</searchTransitive>
<excludes>
<exclude>org.hamcrest:*</exclude>
</excludes>
<includes>
<include>org.hamcrest:*:1.3</include>
</includes>
<message>Make sure you are using the hamcrest version defined in parent</message>
</bannedDependencies>
<bannedDependencies>
<searchTransitive>true</searchTransitive>
<excludes>
<exclude>org.hamcrest:hamcrest-all:*</exclude>
</excludes>
<message>Use more specific hamcrest dependencies like hamcrest-core, hamcrest-library</message>
</bannedDependencies>
<bannedDependencies>
<searchTransitive>true</searchTransitive>
<excludes>
<exclude>org.sonatype.sisu.litmus:litmus-testsupport:(,1.3]</exclude>
</excludes>
<message>litmus-testsupport greater than 1.3 required</message>
</bannedDependencies>
<bannedDependencies>
<searchTransitive>true</searchTransitive>
<excludes>
<exclude>org.slf4j:*</exclude>
</excludes>
<includes>
<include>org.slf4j:*:${slf4j.version}</include>
</includes>
<message>Make sure to use the slf4j version defined in nexus parent. See slf4j.version property</message>
</bannedDependencies>
<bannedDependencies>
<searchTransitive>true</searchTransitive>
<excludes>
<exclude>log4j:log4j:*:jar:test</exclude>
</excludes>
<includes>
<include>log4j:*</include>
</includes>
<message>Do not use log4j api directly in tests. Use slf4j api instead</message>
</bannedDependencies>
<bannedDependencies>
<searchTransitive>true</searchTransitive>
<excludes>
<exclude>org.mortbay.jetty:*</exclude>
</excludes>
<includes>
<include>org.eclipse.jetty:*:${jetty.version}</include>
</includes>
<message>Use the Eclipse/Jetty version defined in nexus parent. See jetty.version property</message>
</bannedDependencies>
<bannedDependencies>
<searchTransitive>true</searchTransitive>
<excludes>
<exclude>javax.servlet:servlet-api</exclude>
<exclude>org.mortbay.jetty:servlet-api</exclude>
<exclude>org.mortbay.jetty:servlet-api-2.5</exclude>
</excludes>
<message>Use servlet API from Jetty 8.x (org.eclipse.jetty.orbit:javax.servlet)</message>
</bannedDependencies>
<bannedDependencies>
<searchTransitive>true</searchTransitive>
<excludes>
<exclude>org.sonatype.spice:plexus-ehcache</exclude>
</excludes>
<message>Use org.sonatype.sisu:sisu-ehcache instead of plexus-ehcache</message>
</bannedDependencies>
</rules>
<fail>true</fail>
</configuration>
</execution>
</executions>
</plugin>
<plugin>
<groupId>org.codehaus.plexus</groupId>
<artifactId>plexus-component-metadata</artifactId>
</plugin>
</plugins>
</build>
<profiles>
<profile>
<id>debug</id>
<activation>
<property>
<name>debug</name>
<value>true</value>
</property>
</activation>
<properties>
<!-- configure test logging properties to debug levels -->
<test.log.level>DEBUG</test.log.level>
<it.test.log.level>DEBUG</it.test.log.level>
<it.nexus.log.level>DEBUG</it.nexus.log.level>
</properties>
</profile>
<profile>
<id>sniff</id>
<build>
<plugins>
<plugin>
<groupId>org.codehaus.mojo</groupId>
<artifactId>animal-sniffer-maven-plugin</artifactId>
<executions>
<execution>
<goals>
<goal>check</goal>
</goals>
</execution>
</executions>
</plugin>
</plugins>
</build>
</profile>
<profile>
<id>it</id>
<activation>
<property>
<name>it</name>
<value>true</value>
</property>
</activation>
<build>
<plugins>
<plugin>
<groupId>org.sonatype.plugins</groupId>
<artifactId>sisu-maven-bridge-maven-plugin</artifactId>
<version>3.0</version>
<executions>
<execution>
<goals>
<goal>export</goal>
</goals>
</execution>
</executions>
</plugin>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-failsafe-plugin</artifactId>
<executions>
<execution>
<goals>
<goal>integration-test</goal>
<goal>verify</goal>
</goals>
</execution>
</executions>
</plugin>
</plugins>
</build>
</profile>
<profile>
<id>findbugs</id>
<build>
<plugins>
<plugin>
<groupId>org.codehaus.mojo</groupId>
<artifactId>findbugs-maven-plugin</artifactId>
<version>2.5.2</version>
<executions>
<execution>
<goals>
<goal>check</goal>
</goals>
</execution>
</executions>
</plugin>
</plugins>
</build>
</profile>
<profile>
<id>m2e</id>
<activation>
<property>
<name>m2e.version</name>
</property>
</activation>
<build>
<pluginManagement>
<plugins>
<plugin>
<groupId>org.eclipse.m2e</groupId>
<artifactId>lifecycle-mapping</artifactId>
<version>1.0.0</version>
<configuration>
<lifecycleMappingMetadata>
<pluginExecutions>
<pluginExecution>
<pluginExecutionFilter>
<groupId>org.codehaus.plexus</groupId>
<artifactId>plexus-component-metadata</artifactId>
<versionRange>[1.5.5,)</versionRange>
<goals>
<goal>merge-metadata</goal>
</goals>
</pluginExecutionFilter>
<action>
<execute/>
</action>
</pluginExecution>
<pluginExecution>
<pluginExecutionFilter>
<groupId>org.sonatype.plugins</groupId>
<artifactId>modello-plugin-upgrade</artifactId>
<versionRange>[1.0,)</versionRange>
<goals>
<goal>upgrade</goal>
</goals>
</pluginExecutionFilter>
<action>
<execute/>
</action>
</pluginExecution>
<pluginExecution>
<pluginExecutionFilter>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-dependency-plugin</artifactId>
<versionRange>[2.0,)</versionRange>
<goals>
<goal>unpack</goal>
</goals>
</pluginExecutionFilter>
<action>
<ignore/>
</action>
</pluginExecution>
<pluginExecution>
<pluginExecutionFilter>
<groupId>org.sonatype.nexus.plugins</groupId>
<artifactId>nexus-test-environment-maven-plugin</artifactId>
<versionRange>[0,)</versionRange>
<!-- says "all", disregard version -->
<goals>
<goal>setup-environment</goal>
<goal>package</goal>
</goals>
</pluginExecutionFilter>
<action>
<ignore/>
</action>
</pluginExecution>
<pluginExecution>
<pluginExecutionFilter>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-enforcer-plugin</artifactId>
<versionRange>[1.0,)</versionRange>
<goals>
<goal>enforce</goal>
</goals>
</pluginExecutionFilter>
<action>
<ignore/>
</action>
</pluginExecution>
<pluginExecution>
<pluginExecutionFilter>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-invoker-plugin</artifactId>
<versionRange>[1.7,)</versionRange>
<goals>
<goal>install</goal>
</goals>
</pluginExecutionFilter>
<action>
<ignore/>
</action>
</pluginExecution>
<pluginExecution>
<pluginExecutionFilter>
<groupId>org.sonatype.nexus</groupId>
<artifactId>nexus-plugin-bundle-maven-plugin</artifactId>
<versionRange>[0,)</versionRange>
<goals>
<goal>check-dependencies</goal>
<goal>generate-metadata</goal>
</goals>
</pluginExecutionFilter>
<action>
<ignore />
</action>
</pluginExecution>
</pluginExecutions>
</lifecycleMappingMetadata>
</configuration>
</plugin>
</plugins>
</pluginManagement>
</build>
</profile>
<!-- HACK: Workaround for issue with IDEA loading nexus-plugins -->
<profile>
<id>idea</id>
<properties>
<nexus-plugin.type>jar</nexus-plugin.type>
</properties>
</profile>
<profile>
<id>optimize-js</id>
<properties>
<!--
'munge' means obfuscating the code by replacing variable names with short one-letter names. This makes
understanding reported UI errors harder and the size increase is only 4%, so let's turn this off for now.
-->
<maven.yuicompressor.nomunge>true</maven.yuicompressor.nomunge>
<maven.yuicompressor.nocompress>false</maven.yuicompressor.nocompress>
<maven.yuicompressor.disableOptimizations>false</maven.yuicompressor.disableOptimizations>
<!-- do not preserve linebreaks -->
<maven.yuicompressor.linebreakpos>-1</maven.yuicompressor.linebreakpos>
</properties>
</profile>
</profiles>
</project>
Jump to Line
Something went wrong with that request. Please try again.